<%= form_with(model: property, local: true) do |form| %>
  <div class="field">
    <%= form.label :property_name %>

    <%= form.text_field :property_name %>

    <% if property.errors[:property_name] %>
      <% property.errors[:property_name].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    <%= form.label :property_address %>

    <%= form.text_area :property_address, rows: 10 %>

    <% if property.errors[:property_address] %>
      <% property.errors[:property_address].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    <%= form.label 'Pick landlord(s)' %>
    <br/>
    <%= form.select :landlord_ids, options_for_select(Landlord.all.collect{ |u| [u.email, u.id] },
      { selected: property.landlord_ids }),{prompt: "Please select"}, {multiple: true, size: 3}%>

    <% if property.errors %>
      <% property.errors[:landlords].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    Can't find landlord you're looking for?
  <%= link_to 'Add them'.html_safe, new_landlord_path %>
  </div>

  <div class="field">
    <%= form.label :advertised_monthly_rent %>

    <%= form.number_field :advertised_monthly_rent, min: 0.0, step: :any %>

    <% if property.errors[:advertised_monthly_rent] %>
      <% property.errors[:advertised_monthly_rent].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="actions">
    <% if property.persisted? %>
      <button type="submit" name="commit" class="addButton">
        <i class="fa fa-floppy-o" aria-hidden="true"></i>Update Property
      </button>

      <%= link_to '<i class="fa fa-times-circle" aria-hidden="true"></i>Cancel'.html_safe, property, class: "destroyButton" %>
    <% else %>
      <button type="submit" name="commit" class="addButton">
        <i class="fa fa-floppy-o" aria-hidden="true"></i>Create Property
      </button>
      <%= link_to '<i class="fa fa-times-circle" aria-hidden="true"></i>Cancel'.html_safe, properties_path, class: "destroyButton" %>
    <% end %>
  </div>
<% end %>
